

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <div class="content-header">
        <div class="container-fluid">
           
        </div><!-- /.container-fluid -->
        </div>
        <!-- /.content-header -->

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
            <!-- Small boxes (Stat box) -->
            
            <!-- /.row -->
            <!-- Main row -->
            
            <!-- /.row (main row) -->
            </div><!-- /.container-fluid -->
            <div class="container-fluid">
    
    
    
    
    
    
        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
            
            <div class="row">
                <div class="col-12">
                
                        <!-- general form elements -->
                        <div class="card card-primary">
                        <div class="card-header">
                            <h3 class="card-title">Editer Prestataire  </h3>
                        </div>
                        <!-- /.card-header -->
                        <!-- form start -->
                        <form id="lawyerform" enctype='multipart/form-data'>
                            <div class="card-body">
                            <div class="form-group">
                                <label for="Package">Image de profil</label>
                               <div style="float:right">
                                <% if(lawyer.photo) {%> 
                                    <img src="<%= root_url+"/static/public/"+lawyer.photo %>" style="height:150px;width: 180px" />
                               
                                    <% } else {%> 
                                        <img src="https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2F365webresources.com%2Fwp-content%2Fuploads%2F2016%2F09%2FFREE-PROFILE-AVATARS.png&f=1&nofb=1" style="height:150px;width: 180px;" />
                                        <% } %> 
                                    </br></br> 
                               </div> 
                                <!-- <input type="file" lang="fr" multiple class="form-control" id="lawyer_photo" placeholder="Enter Package" oninvalid="this.setCustomValidity(`'ce fiels est requis ou n'est pas valide'`)"  value="files" > -->
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                      <span class="input-group-text">Télécharger</span>
                                    </div>
                                    <div class="custom-file">
                                      <input type="file" class="custom-file-input" id="lawyer_photo">
                                      <label class="custom-file-label" for="inputGroupFile01">Choisir le fichier</label>
                                    </div>
                                  </div>
                                <input type="hidden" class="form-control" id="elementid"  value=<%= lawyer._id %>>
                            </div>
                            <div class="form-group">
                                <label for="Package">Prénom</label>
                                <input type="text" class="form-control" id="lawyer_first_name" placeholder="Enter Package" value=<%= lawyer.first_name %>>
                               
                            </div>
                            <div class="form-group">
                                <label for="Price">Nom</label>
                                <input type="text" class="form-control" id="lawyer_last_name" placeholder="Enter Price" value=<%= lawyer.last_name %>>
                            </div>
                            <div class="form-group">
                                <label for="Duration">Email</label>
                                <input type="text" class="form-control" id="lawyer_email" placeholder="Enter Package Duration" value=<%= lawyer.email %>>
                            </div>
                            <div class="form-group">
                                <label for="Duration">Adresse</label>
                                <input type="text" class="form-control" oncut="return false"
                                oncopy="return false"
                                onpaste="return false"
                                ondrag="return false"
                                ondrop="return false"
                                id="lawyer_address1" placeholder="" 
                                
                                value="<%= lawyer?.address[0]?.address %>"/>
                            </div>
                           
                            <div class="form-group">
                                <label for="Description">Profession</label>
                                <select class="form-control" id="proffession"  >
                                    <option value="" disabled selected hidden><%= lawyer.proffession %></option>
                                    <option value="Entrepreneur" >Entrepreneur</option>
                                    <option value="Étudiant">Étudiant</option>
                                    <option value="Retraite" >Retraite</option>
                                    <option value="Employe">Employe</option>
                                    <option value="sans emploi" >sans emploi</option>
                                </select>
                                <input type="text" class="form-control"  placeholder="Enter Package Description" value=<%= lawyer.proffession %>>
                            </div>

                            <div class="form-group">
                                <label for="Description">Sexe</label>
                                <select class="form-control" id="sex"  >
                                    <option value="" disabled selected hidden><%= lawyer.sex %></option>
                                    <option value="Homme" >Homme</option>
                                    <option value="Femme">Femme</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="Description">Description</label>
                                <input type="text" class="form-control" id="desc" placeholder="Enter Package Description" value=<%= lawyer.description %>>
                            </div>
                            <div class="form-group">
                                <label for="Description">Pin</label>
                                <input type="text" class="form-control" id="pin" placeholder="Enter Package Description" value=<%= lawyer.pin %>>
                            </div>
                            <div class="form-group">
                                <label for="Description">Pays</label>
                                <input type="text" class="form-control" id="country" placeholder="Enter Package Description" value=<%= lawyer.country %>>
                            </div>
                            <div class="form-group">
                                <label for="Description">Téléphone</label>
                                <input type="text" class="form-control" id="lawyer_phone" placeholder="Enter Package Description" value=<%= lawyer.phone %>>
                            </div>

                            <div class="form-group">
                           
                                <label for="Duration">Statut</label>
                                <select class="form-control" id="Statut"  >
                                    <option value="" disabled selected hidden><%= lawyer.is_active==true ? "Actif" : "Désactivé" %></option>
                                    <option value="1" >Actif</option>
                                    <option value="0">Désactivé</option>
                                </select>
                            </div>
                          
                           
                           
                           
                            
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                  <span class="input-group-text">Front de l'identification </span>
                                </div>
                                <div class="custom-file">
                                  <input type="file" multiple class="custom-file-input" id="fid">
                                  <label class="custom-file-label" for="inputGroupFile01">Choisir le fichier</label>
                                </div>
                                
                              </div>
                              <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                  <span class="input-group-text">Dos de l'identification </span>
                                </div>
                                <div class="custom-file">
                                  <input type="file" multiple class="custom-file-input" id="bid">
                                  <label class="custom-file-label" for="inputGroupFile01">Choisir le fichier</label>
                                </div>
                                
                              </div>
                              <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                  <span class="input-group-text">Recto du permis de conduire</span>
                                </div>
                                <div class="custom-file">
                                  <input type="file" multiple class="custom-file-input" id="fdl">
                                  <label class="custom-file-label" for="inputGroupFile01">Choisir le fichier</label>
                                </div>
                              </div>
                              <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                  <span class="input-group-text">Ba du permis de conduire</span>
                                </div>
                                <div class="custom-file">
                                  <input type="file" multiple class="custom-file-input" id="bdl">
                                  <label class="custom-file-label" for="inputGroupFile01">Choisir le fichier</label>
                                </div>
                              </div>
                              <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                  <span class="input-group-text">Passeport</span>
                                </div>
                                <div class="custom-file">
                                  <input type="file" multiple class="custom-file-input" id="passport">
                                  <label class="custom-file-label" for="inputGroupFile01">Choisir le fichier</label>
                                </div>
                              </div>
                            <!-- <div class="form-group">
                                <label for="Duration">Certificats</label>
                                <input type="file" multiple class="form-control" id="certificates" placeholder="Enter Package Duration" value=<%= lawyer.email %>>
                            </div>
                            <div class="form-group">
                                <label for="Duration">Identification – Recto / Verso</label>
                                <input type="file" multiple class="form-control" id="identifications" placeholder="Enter Package Duration" value=<%= lawyer.email %>>
                            </div> -->
                            <div class="form-group">
                                <label for="Price">Reste du mot de passe</label>
                                <input type="text" class="form-control" id="resetpassword" placeholder="Entrez le nouveau mot de passe" >
                            </div>
                           
                            <div class="" style="border:solid 1px;border-radius: 10px;">
                                <label for="Package" style="margin-left:10px">Coordonnées bancaires</label>
                                <div class="form-group" style="margin-left:20px">
                                    <label for="Package">Nom de la banque</label>
                                    <input type="text" class="form-control" id="bankname" placeholder="Enter Package" value=<%= bank?.bank_name %>>
                                   
                                </div>
                                <div class="form-group" style="margin-left:20px">
                                    <label for="Package">Nom du titulaire du compte</label>
                                    <input type="text" class="form-control" id="accountname" placeholder="Enter Package" value=<%= bank?.account_name %>>
                                   
                                </div>
                                <div class="form-group" style="margin-left:20px">
                                    <label for="Package">IBAN</label>
                                    <input type="text" class="form-control" id="iban" placeholder="Enter Package" value=<%= bank?.iban %>>
                                   
                                </div>
                                <div class="form-group" style="margin-left:20px">
                                    <label for="Package">BIC</label>
                                    <input type="text" class="form-control" id="bic" placeholder="Enter Package" value=<%= bank?.bic %>>
                                   
                                </div>
                            </div>
                            </div>
                            <!-- /.card-body -->
            
                            <div class="card-footer">
                            <button type="button" class="btn btn-primary" onclick="handlesubmit()"> Mise à jour </button>
                            </div>
                        </form>
                        </div>
                      
                <!-- /.card -->
    
            
                <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </section>
        <!-- /.content -->
        
    
        <script
        async
        defer
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyC7uyZ6P0gyfKIlKKkXCKocCSee-ZFHPvQ&libraries=places&callback=setAutocomplete"
      ></script>
     
  <script>
      function setAutocomplete() {
        let address1Field = document.getElementById("lawyer_address1");
 let  address2Field = document.getElementById("lawyer_address2");
  autocomplete1 = new google.maps.places.Autocomplete(
  (
     
        address1Field
       
      ),
      { types: ["geocode"],
      componentRestrictions: { country: ['fr'] },
    }
  );
  autocomplete1.addListener("place_changed", setAddress1);
  
  autocomplete2 = new google.maps.places.Autocomplete(
  (
     
       
        address2Field
      ),
      { types: ["geocode"],
      componentRestrictions: { country: ['fr'] },
    }
  );
  autocomplete2.addListener("place_changed", setAddress2);
  
  strictBoundsInputElement.checked = biasInputElement.checked;
  }
  function setAddress1() {
  var place = autocomplete1.getPlace();
  }
  function setAddress2() {
  var place = autocomplete2.getPlace();
  }
  </script>
    <script>
       
      
      



          function handlesubmit(){
           
            var formData = new FormData();
            
            var lawyer_first_name=document.getElementById("lawyer_first_name").value;
            var lawyer_last_name=document.getElementById("lawyer_last_name").value;
            var lawyer_email=document.getElementById("lawyer_email").value;
            var lawyer_phone=document.getElementById("lawyer_phone").value;
           
          

            var proffession=document.getElementById("proffession").value;
            var country=document.getElementById("country").value;
            var pin=document.getElementById("pin").value;
            var sex=document.getElementById("sex").value;
            var desc=document.getElementById("desc").value;
            
           
           
          
            
           
            var resetpassword=document.getElementById("resetpassword").value;
            var elementid = document.getElementById("elementid").value;
            var lawyer_address1=document.getElementById("lawyer_address1").value;

            var bankname=document.getElementById("bankname").value;
            var accountname=document.getElementById("accountname").value;
            var iban=document.getElementById("iban").value;
            var bic=document.getElementById("bic").value;
            // var lawyer_address2=document.getElementById("lawyer_address2").value;
            formData.append("first_name", lawyer_first_name);
            formData.append("last_name", lawyer_last_name);
            formData.append("email", lawyer_email);
            formData.append("phone", lawyer_phone);
           

            formData.append("bankname", bankname);
            formData.append("accountname", accountname);
            formData.append("iban", iban);
            formData.append("bic", bic);
          
            formData.append("proffession", proffession);
            formData.append("desc", desc);
            formData.append("pin", pin);
            formData.append("sex", sex);
            formData.append("country", country);
            
            
            
           
            formData.append("elementid", elementid);
            formData.append("resetpassword", resetpassword);
            formData.append("address", lawyer_address1);
            
            const files = document.getElementById("lawyer_photo");
            for(let i =0; i < files.files.length; i++) {
                formData.append("photo", files.files[i]);
            }
            
            const files1 = document.getElementById("fid");
            const files2 = document.getElementById("bid");
            const files3 = document.getElementById("fdl");
            const files4 = document.getElementById("bdl");
            const files5 = document.getElementById("passport");
            
            for(let i =0; i < files1.files.length; i++) {
               
                formData.append("fid", files1.files[i]);
            }
            
            
            for(let i =0; i < files2.files.length; i++) {
               
                formData.append("bid", files2.files[i]);
            }
            for(let i =0; i < files3.files.length; i++) {
                
                formData.append("fdl", files3.files[i]);
            }
            
            
            for(let i =0; i < files4.files.length; i++) {
               
                formData.append("bdl", files4.files[i]);
            }
            for(let i =0; i < files5.files.length; i++) {
               
                formData.append("passport", files5.files[i]);
            }
           

            
            // var data = {
            //     "lawyer_first_name": lawyer_first_name,
            //     "lawyer_last_name": lawyer_last_name,
            //     "lawyer_email": lawyer_email,
            //     "lawyer_phone": lawyer_phone,
            //     "lawyer_date_of_registration": lawyer_date_of_registration,
            //     "status": status,
            //     "lawyer_expertise_in": lawyer_expertise_in,
            //     "lawyer_language_spoken": lawyer_language_spoken,
            //     "status": status,
            //     "lawyer_presentation": lawyer_presentation,
            //     "lawyer_experience": lawyer_experience,
            //     "lawyer_legal_information": lawyer_legal_information,
            //     "elementid": elementid,
            //     "opening_hours": openinghours,
            //     "onlineprice": onlinetarrif,
            //     "offlineprice": offlinetarrif
            // };
            var baseurl= "<%= base_url %>";
            var url= baseurl+"updatelawyer";
           
            const requestOptions = {
            method: 'POST',
           
            body: formData
        };
        fetch(url, requestOptions)
        .then(response => response.json())
        .then(data => {
            if(data.status){
                toastr.success(data.message);
                window.location.href = baseurl+"providers";
            }else{
                toastr.error(data.message);
            }
        })
            }
    </script>
    
    
            </div>
        
        </section>
    
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
    
    </div>
    <!-- ./wrapper -->

    